Get all balance elements
get
https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement
Returns a list of balance elements that match the search criteria.
Request
Query Parameters
-
balanceElementType: string
The balance element type value for filtering resource results.
-
description: string
The description of the resource.
-
eligibleForProject: string
The project ID.
-
fields: string
The comma-separated field names that are returned in the response. The field names are the names that you specify when you create or retrieve a resource.
-
id: string
The unique ID of the resource item.
-
lastUpdate: string
Filters resources by their last update date and time.
-
lifecycleStatus: string
The current lifecycle status of the resource.
-
limit: integer
The number of resources to be returned in the response. The minimum value that can be specified is 1, and the maximum value that can be specified is 100,000. If the specified value is greater than 100,000, then it defaults to 100,000.
-
name: string
The name of the resource.
-
offset: string
The record number from which the retrieval starts. The default value is zero. If no value is specified, then it defaults to zero. The value zero indicates that the retrieval will start from the beginning of the collection.
-
project.id: string
The ID of the project for filtering resource results.
-
project.version: string
The project version for filtering entities.
-
validFor.endDateTime: string
The valid for end date time for filtering entities.
-
validFor.startDateTime: string
The valid for start date time for filtering entities.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
200 Response
The list of balance elements was returned successfully.
Root Schema : schema
Type:
Show Source
array-
Array of:
object BalanceElementOracle
Title:
BalanceElementOracleThe balance element represents the currency and non currency units used in Pricing.
Nested Schema : BalanceElementOracle
Type:
objectTitle:
BalanceElementOracleThe balance element represents the currency and non currency units used in Pricing.
Show Source
-
@baseType: string
The base type of the balance element.
-
@schemaLocation: string
The URI of the schema that defines the balance element.
-
@type(required): string
The class type of the balance element.
-
applicationName: string
The name of the application associated with the balance element.
-
balanceElementType: string
Allowed Values:
[ "COUNTER", "ALLOWANCE", "CURRENCY", "CRYPTO", "PSEUDO" ]The type or classification of the balance element. Valid values are COUNTER, ALLOWANCE, CURRENCY, CRYPTO, and PSEUDO. -
code: string
The currency code, using the three-letter ISO 4217 code for currency balance elements or a user-defined code for non-currency balance elements.
-
consumptionRule: string
Allowed Values:
[ "NONE", "EST", "LST", "EET", "LET", "ESTLET", "ESTEET", "LSTEET", "LSTLET", "EETEST", "LETEST", "LETLST" ]The consumption Rule of Balance Element. Valid values are NONE, EST, LST, EET, LET, ESTLET, ESTEET, LSTEET, LSTLET, EETEST, LETEST, and LETLST. -
created: string
(date-time)
The date and time of the creation.
-
createdBy: string
The name of the person who created item.
-
decimalPlaces: string
The allowed decimal places.
-
description: string
The description of balance element.
-
externalId: string
The ID of the external associated with the balance element.
-
href: string
The hyperlink reference to the balance element.
-
id: string
Maximum Length:
30The ID of the balance element. -
lastUpdate: string
(date-time)
The date and time when the balance element was last updated.
-
lastUpdatedBy: string
The name of the person who updated item.
-
lifecycleStatus: string
The status of the balance element.
-
name: string
The name of the balance element.
-
numericCode: number
The unique numeric code, using the ISO 4217 numeric code for currency balance elements or an autogenerated value greater than 1000 for non-currency balance elements.
-
project: object
ProjectRef
Title:
ProjectRefThe project reference resource. - relatedParty: array relatedParty
-
roundingMethod: string
The default rounding applicable to the balance element.
-
symbol: string
The symbol of the currency or pseudo currency.
-
validFor: object
TimePeriod
Title:
TimePeriodThe period for which the productOffering is valid. -
version: string
The balance element version.
-
versionState: number
The version state of the balance element.
Nested Schema : ProjectRef
Type:
objectTitle:
ProjectRefThe project reference resource.
Show Source
-
href: string
The hyperlink reference to the project reference.
-
id(required): string
The ID of the project reference.
-
name: string
The name of the project reference.
-
version: string
The version of the project.
Nested Schema : TimePeriod
Type:
objectTitle:
TimePeriodThe period for which the productOffering is valid.
Show Source
-
endDateTime: string
(date-time)
The end date and time of the time period.
-
startDateTime: string
(date-time)
The start date and time of the time period.
Nested Schema : RelatedParty
Type:
objectTitle:
RelatedPartyThe relatedParty reference. A related party defines party or party role linked to a specific entity.
Show Source
-
@baseType: string
The base type of the related party reference or party role reference.
-
@schemaLocation: string
A URI to a JSON-Schema file that defines additional attributes and relationships.
-
@type(required): string
The class type of the related party reference or party role reference.
-
partyOrPartyRole(required):
partyOrPartyRole
A list of party or party roles associated with the related party reference or party role reference.
-
role: string
The role played by the related party or party role in the context of the specific entity it is linked to. Such as 'initiator', 'customer', 'salesAgent', 'user'.
Nested Schema : partyOrPartyRole
Type:
arrayA list of party or party roles associated with the related party reference or party role reference.
Show Source
400 Response
Your request couldn't be processed because it contains missing or invalid information, such as a validation error on an input field, a missing required value, and so forth.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
401 Response
Your request isn't authorized. The authentication credentials included with this request are missing or invalid.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
404 Response
The resource with the specified URI couldn't be found.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
405 Response
HTTP action specified in the request (DELETE, GET, POST, PUT) isn't supported for this request URI.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
500 Response
The server encountered something unexpected that prevented it from completing the request.
Root Schema : Error
Type:
objectTitle:
ErrorThe error resource.
Show Source
-
@schemaLocation: string
The URI of the schema that defines the error.
-
@type: string
The class type of a REST resource.
-
code(required): string
Application related code (as defined in the API or from a common list).
-
message: string
The text that provides more details and corrective actions related to the error. This can be shown to a client user.
-
reason(required): string
The text that explains the reason for error. This can be shown to a client user.
-
referenceError: string
The URL pointing to documentation describing the error.
-
status: string
The status of the error.
Examples
The following example shows how to retrieve details of all balance elements by submitting a get request on the REST resource using cURL.
curl -u username:password -X GET https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/Example of Response Body
The following example shows the contents of the response body in JSON format.
[
{
"id": "USDCurrency",
"name": "USD Currency",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/USDCurrency",
"version": "1.0",
"lifecycleStatus": "In design",
"created": "2025-01-03T08:36:43.001Z",
"createdBy": "booth",
"lastUpdate": "2025-03-06T13:33:06.079Z",
"lastUpdatedBy": "booth",
"@type": "BalanceElementOracle",
"validFor": {
"startDateTime": "2024-08-09T00:00:00.000Z",
"endDateTime": "2028-08-09T00:00:00.000Z"
},
"project": {
"id": "DBE_RI_ProdModel_PreSeed_PSP",
"name": "DBE RI Product Model Preseed",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
"version": "1.0",
"@referredType": "ProjectOracle"
},
"consumptionRule": "LST",
"balanceElementType": "CURRENCY",
"code": "USD",
"numericCode": 840,
"symbol": "$",
"roundingMethod": "CALC",
"decimalPlaces": "3",
"relatedParty": [
{
"role": "ROLE1",
"partyOrPartyRole": {
"id": "PartyRoleID",
"name": "PartyRoleName",
"partyId": "partyid123",
"partyName": "partyName",
"@referredType": "PartyRole",
"@type": "PartyRoleRef"
},
"@type": "RelatedPartyRefOrPartyRoleRef"
}
]
},
{
"id": "EuroCurrency",
"name": "Euro Currency",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogReferenceManagement/v1/balanceElement/EuroCurrency",
"version": "1.0",
"lifecycleStatus": "In design",
"created": "2025-01-03T08:36:43.001Z",
"createdBy": "booth",
"lastUpdate": "2025-03-06T13:33:06.079Z",
"lastUpdatedBy": "booth",
"@type": "BalanceElementOracle",
"validFor": {
"startDateTime": "2024-08-09T00:00:00.000Z",
"endDateTime": "2028-08-09T00:00:00.000Z"
},
"project": {
"id": "DBE_RI_ProdModel_PreSeed_PSP",
"name": "DBE RI Product Model Preseed",
"href": "https://{FusionAppsHost}/crmRestApi/atcProductCatalog/11.13.18.05/productCatalogManagement/v1/project/DBE_RI_ProdModel_PreSeed_PSP",
"version": "1.0",
"@referredType": "ProjectOracle"
},
"consumptionRule": "LST",
"balanceElementType": "CURRENCY",
"code": "EUR",
"numericCode": 978,
"symbol": "€",
"roundingMethod": "CALC",
"decimalPlaces": "2",
"relatedParty": [
{
"role": "ROLE1",
"partyOrPartyRole": {
"id": "PartyRoleID",
"name": "PartyRoleName",
"partyId": "partyid123",
"partyName": "partyName",
"@referredType": "PartyRole",
"@type": "PartyRoleRef"
},
"@type": "RelatedPartyRefOrPartyRoleRef"
}
]
}
]